* {
    margin: 0;
    padding: 0;
    font-size: 14px;
}

html {
    scroll-behavior: smooth;
}

*::selection {
    color: white;
    background-color: #D7D8E2;
}

@font-face {
    font-family: montserrat-r;
    src: url("./fonts/Montserrat-Regular.ttf");
}

@font-face {
    font-family: montserrat-m;
    src: url("./fonts/Montserrat-Medium.ttf");
}

@font-face {
    font-family: cocha;
    src: url("./fonts/Cocha-ow6Xq.otf");
}

/* Fonts */
h1 {
    font-family: cocha;
    font-size: 60px;
}

h2 {
    font-family: cocha;
    font-size: 40px;
}

h3 {
    font-family: cocha;
    font-size: 20px;
}

p {
    font-family: montserrat-r;
    font-size: 17px;
    color: #1B1B1B;
}

@media only screen and (max-width: 600px) {
    h1 {
        font-size: 45px;
    }
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #FFE099;
    padding: 20px;
    width: calc(100% - 40px);
    position: sticky;
    z-index: 1000;
}

nav img {
    width: 125px;
}

ul {
    display: flex;
    align-items: center;

}

li {
    list-style: none;
    margin: 0 20px 0 20px;
}

a {
    text-decoration: none;
    color: black;
    font-family: montserrat-m;
    text-decoration: none;
    position: relative;
}

a::after {
    content: '';
    position: absolute;
    bottom: -3px;
    left: 0;
    width: 0;
    height: 2px;
    background-color: black;
    transition: width 0.3s ease-in-out;
}

a:hover::after {
    width: 100%;
    transition: width 0.3s ease-in-out, left 0.3s ease-in-out 0.3s;
}

button a:hover {
    color: rgb(255, 255, 255);
}

a:hover::before {
    content: '';
    position: absolute;
    bottom: -3px;
    right: 0;
    width: 0;
    height: 2px;
    background-color: black;
    transition: width 0.3s ease-in-out;
}

a:hover::before {
    width: 100%;
    transition: width 0.3s ease-in-out, right 0.3s ease-in-out 0.3s;
}

button {
    background-color: #A3A9E3;
    padding: 15px;
    border: none;
    border-radius: 4px;
}

button a {
    color: white;
}

.menuicon {
    width: 50px;
    display: none;
}

nav hr {
    display: none;
}

@media only screen and (max-width: 600px) {
    nav {
        display: block;
        padding: 10px;
        width: calc(100% - 20px);
    }

    nav div {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    hr {
        display: block;
        color: black;
    }

    li {
        margin: 10px 0 10px 0;
    }

    a {
        font-size: 17px;
    }

    ul button {
        width: 100%;
    }

    ul {
        display: block;
        display: none;
    }

    .menuicon {
        display: block;
    }
}

/* Hero */
.hero {
    background-image: url(background.png);
    background-size: cover;
    background-position: center;
    background-color: #faf7f0;
    padding: 100px 10% 100px 10%;
    height: calc(100vh - 200px);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: fit-content;
}

.hero p {
    margin: 10px 0 40px 0;
    max-width: 70%;
}

.hero center {
    background-image: url(deckmis_logo_yellow_hero.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

@media only screen and (max-width: 600px) {
    .hero {
        padding: 100px 0 0 0;
    }
}


/* Brand Story  */
.brandstory {
    background-color: #f9eeea;
    padding: 100px 10% 100px 10%;
}

.brandstory div {
    border: 2px solid #A3A9E3;
    border-radius: 23px;
    padding: 30px;
}

.brandstory button {
    background-color: #FFE099;
    margin-top: 20px;
}

.brandstory button a {
    color: black;
}

@media only screen and (max-width: 600px) {
    .brandstory div {
        border: 0px;
    }

    .brandstory {
        background-color: #f9eeea;
        padding: 70px 0px 70px 0;
    }
}

/* Our Design */
.ourdesign {
    background-color: #faf7f0;
    padding: 100px 7% 100px 7%;
}

.ourdesign_text {
    background-image: url(deckmis_logo_yellow_hero.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: left;
    max-width: 500px;
    padding: 70px 70px 70px 0;
}

.ourdesign_img {}

/* Our Brands */
.ourbrands {}

/* Our Products */
.ourproducts {
    background-color: #eef5f0;
    padding: 100px 0 100px 0;
}

.products {
    display: flex;
    justify-content: center;
    text-align: left;
}

.products img {
    width: 300px;
    height: 170px;
    object-fit: cover;
    border-radius: 7px;
}

.products p {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 500;
}

.products h3 {
    margin: 10px 0 5px 0;
}

.product1,
.product2,
.product3 {
    padding: 10px 10px 20px 10px;
    max-width: min-content;
    background-color: #f3eac8;
    border-radius: 7px;
    margin: 20px;
}

.product1 {
    background-color: #f3eac8;
}

.product2 {
    background-color: #c9d0e7;
}

.product3 {
    background-color: #eccad0;
}

@media only screen and (max-width: 600px) {
    .products {
        display: block;
    }
}

/* Footer */
footer {
    background-color: #faf7f0;
    padding: 20px;
}

footer ul {
    justify-content: center;
    margin: 20px;
}

footer hr {
    color: #707070;
    margin: 0 30px 20px 30px;
}

footer img {
    width: 200px;
}